#include <spdlog/spdlog.h>
#include "./initialized.hpp"

namespace lsp::provider
{

    std::string Initialized::GetMethod() const
    {
        return "initialized";
    }

    std::string Initialized::GetProviderName() const
    {
        return "Initialized";
    }

    void Initialized::HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context)
    {
        static_cast<void>(context); // 如果不需要上下文，可以忽略
        spdlog::debug("InitializeProvider: Providing response for method {}", notification.method);
    }

}
